<template>
  <div class="lang">

    <ul class="select-lang">
      <li class="language" v-for="lang in languages" :key="lang.id" @click="changeLang(lang.id)">
        <img class="flag" :src="lang.img">
        <span class="name">{{ lang.name }}</span>
      </li>
    </ul>

    <div class="active">
      <img class="flag flag-active" :src="langnow.img">
      <span class="name" :key="langnow.id">{{ langnow.name }}</span>
      <img class="arrow" src="/img/icons/flags/arrow.svg">
    </div>

  </div>
</template>

<script>

export default {
  name: 'Langswitcher',
  data: () => ({
    langnow: {
      id: 'ru',
      name: 'Русский',
      img: '/img/icons/flags/ru.svg',
    },
    languages: [
      {
        'id' : 'es',
        'name' : 'Español',
        'img' : '/img/icons/flags/es.svg'
      },
      {
        'id' : 'pt',
        'name' : 'Portugal',
        'img' : '/img/icons/flags/pt.svg'
      },
      {
        'id' : 'fr',
        'name' : 'France',
        'img' : '/img/icons/flags/fr.svg'
      },
      {
        'id' : 'zh',
        'name' : '中国',
        'img' : '/img/icons/flags/zh.svg'
      },
      {
        'id' : 'en',
        'name' : 'English',
        'img' : '/img/icons/flags/us.svg'
      },
    ]
  }),
  computed: {
  },
  methods: {
    changeLang: function(lang) {
      this.languages.forEach(function(value) {
        if( lang == value.id ) {
          console.log(this.langnow.id);
          // langnow.id = value.id;
          // langnow.name = value.name;
          // langnow.img = value.img;
        }
      });
      return this.$i18n.locale = lang;

    }
  }
}
</script>
